Package Details: sip418 4.18.1-2

Git Clone URL: https://aur.archlinux.org/sip418.git (read-only, click to copy)
Package Base: sip418
Description: A tool that makes it easy to create Python bindings for C and C++ libraries (the last version compatible with qt3)
Upstream URL: http://www.riverbankcomputing.com/software/sip/intro
Licenses: custom:"sip"
Submitter: jose1711
Maintainer: jose1711
Last Packager: jose1711
Votes: 0
Popularity: 0.000000
First Submitted: 2019-02-13 10:38
Last Updated: 2020-01-24 13:16

Dependencies (3)

Required by (1)

Sources (1)

Latest Comments

bartus commented on 2020-07-17 13:52

If I may ask, what is the rationale for renaming sip binary and modules to sip418?

I would like to use this package to build seexpr but because of this renaming scheme I have to patch a lot of build files to make it work (e.g. import sipconfig -> import sipconfig418.

Since sip is only for build dependency for other packages, could we drop the renaming and add provide=({python{,2}-,}sip=4.18.1) conflict=({python{,2}-,}sip).

Also there are some leftover python3.5 path that wasn't renamed after latest patch.